=== debian/changelog ===
ros-noetic-libdlib (0.6.18-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-libdlib (0.6.17-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 25 May 2020 22:00:00 -0000

ros-noetic-libdlib (0.6.16-1focal) focal; urgency=high

  * Merge pull request #109 <https://github.com/ipa320/cob_extern/issues/109> from fmessmer/noetic_release
    Noetic release
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 25 May 2020 22:00:00 -0000

ros-noetic-libdlib (0.6.15-1focal) focal; urgency=high

  * Merge pull request #106 <https://github.com/ipa320/cob_extern/issues/106> from fmessmer/upgrade_dlib_19.9
    suppress warnings + upgrade dlib 19.9
  * adjust -Wno-* for libdlib 19.9
  * upgrade dlib version to 19.9
  * add -Wno-* CXXFLAGS
  * -Wno-* in CONFIGURE_COMMAND
  * Merge pull request #102 <https://github.com/ipa320/cob_extern/issues/102> from fmessmer/suppress_warnings
    add -Wno-* compile option to suppress warnings
  * add -Wno-* to libdlib
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-libdlib (0.6.14-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-libdlib (0.6.13-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-libdlib (0.6.12-1focal) focal; urgency=high

  * Merge pull request #92 <https://github.com/ipa320/cob_extern/issues/92> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Contributors: Felix Messmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-libdlib (0.6.11-1focal) focal; urgency=high

  * fix include_dirs in cmake_extras
  * use EXPORTED_TARGETS
  * migrated libdlib to catkin-native wrapping
  * license workarounds
  * minor changes
  * changed libopengm to opengm, because of internal includes of opengm-library that expect headers to be in include/opengm
  * continued workaround before merge with ipa320
  * catkin workaround before merge with ipa320
  * changed libdlib and libqsopt to provide the static library right
  * Contributors: ipa-fxm, ipa-rmb-fj

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-libdlib (0.6.10-1focal) focal; urgency=high

  * manually fix changelogs
  * Contributors: ipa-fxm

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 07 Dec 2016 23:00:00 -0000

ros-noetic-libdlib (0.6.9-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-noetic-libdlib (0.6.8-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-noetic-libdlib (0.6.7-1focal) focal; urgency=high

  * update changelog
  * Contributors: ipa-nhg

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 19 Oct 2016 22:00:00 -0000

ros-noetic-libdlib (0.6.6-1focal) focal; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * Update package.xml
  * Contributors: Florian Weisshardt

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 12 Oct 2016 22:00:00 -0000

ros-noetic-libdlib (0.6.5-1focal) focal; urgency=high

  * fixed package.xmls
  * added 3 libs: concorde_tsp_solver, dlib, and opengm
  * Contributors: Richard Bormann

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-libdlib (0.6.4-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-libdlib (0.6.3-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-noetic-libdlib (0.6.2-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-noetic-libdlib (0.6.1-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 27 May 2015 22:00:00 -0000

ros-noetic-libdlib (0.6.0-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 15 Sep 2014 22:00:00 -0000

ros-noetic-libdlib (0.5.3-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-noetic-libdlib (0.5.2-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 26 Mar 2014 23:00:00 -0000

ros-noetic-libdlib (0.5.1-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 23 Mar 2014 23:00:00 -0000
